import { getData } from "../Popper.manage";
export default function documentClickHandler() {
  console.log("popups");
  let popups = getData() || [];
  console.log(popups, "popups");
  popups.forEach(popup => {
    console.log(popup, "popups");

    if (popup.methods.popupStatus && (!popup.props.checkBeforeClose || popup.props.checkBeforeClose && popup.props.checkBeforeClose())) {
      popup.ref.cancel();
    }
  });
}